<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>
<%@ page import = "cn.com.dekn.cms.util.*,cn.com.dekn.common.util.*" %>


<%
//录入项ID INPUT_ID
String INPUT_ID = StrUtil.getNotNullStringValue(request.getParameter("INPUT_ID"),"");

//录入项默认值 INPUT_DEFAULT_VALUE
String INPUT_DEFAULT_VALUE = StrUtil.getNotNullStringValue(request.getParameter("INPUT_DEFAULT_VALUE"),"");

//录入项可选值 INPUT_VALUE
String INPUT_VALUE = StrUtil.getNotNullStringValue(request.getParameter("INPUT_VALUE"),"");
String[] valueArray = INPUT_VALUE.split("\\|");

//录入项备注 INPUT_REMARK
String INPUT_REMARK = StrUtil.getNotNullStringValue(request.getParameter("INPUT_REMARK"),"");

//是否必填写 INPUT_MUST
String INPUT_MUST = StrUtil.getNotNullStringValue(request.getParameter("INPUT_MUST"),"");

//必选项类型 INPUT_MUST_TYPE
String INPUT_MUST_TYPE = StrUtil.getNotNullStringValue(request.getParameter("INPUT_MUST_TYPE"),"");

//必选项提示消息 INPUT_MUST_MSG
String INPUT_MUST_MSG = StrUtil.getNotNullStringValue(request.getParameter("INPUT_MUST_MSG"),"");
if(INPUT_MUST.equals("1")){
	INPUT_MUST = "true";
}else{
	INPUT_MUST = "false";
}
if(INPUT_MUST_TYPE.equals("")){
	INPUT_MUST_TYPE = "Require";
}
%>

<input type="hidden" name="<%=INPUT_ID%>" id="<%=INPUT_ID%>" value="<%=INPUT_DEFAULT_VALUE%>"><input type="text" value="" class="form-input-combo" name="editBox_<%=INPUT_ID%>" id="editBox_<%=INPUT_ID%>" style="width:358px;heigth:21px;" require="<%=INPUT_MUST%>" msg="<%=INPUT_MUST_MSG%>" dataType="<%=INPUT_MUST_TYPE%>" ><input type="button" class="form_input_combox_button" onMouseOver="this.className='form_input_combox_button_m'"  onMouseOut="this.className='form_input_combox_button'" style="cursor:pointer;border:0;heigth:21px;vertical-align:center;" name="selectBtn_<%=INPUT_ID%>" id="selectBtn_<%=INPUT_ID%>" value=" ">
<script>
var <%=INPUT_ID%>=new ComboBox("<%=INPUT_ID%>",375,21,"<%=INPUT_DEFAULT_VALUE%>",null,null);

<%
  	for(int i =0;i<valueArray.length;i++){
		if(null != valueArray[i] && !valueArray[i].equals("") && valueArray[i].split("\\,").length>1){
  %>
ComboBox.addOption("<%=INPUT_ID%>","<%=valueArray[i].split("\\,")[0]%>","<%=valueArray[i].split("\\,")[1]%>");
  <%
  		}
	}
  %>
ComboBox.initEditBox("<%=INPUT_ID%>");
</script>
<span class="text_remark"><%=INPUT_REMARK%></span>